Name:           ophcrack
Version:        3.3.0
Release:        5%{?dist}
Summary:        Free Windows password cracker based on rainbow tables
Group:          Applications/System
License:        GPLv2+ with exceptions
URL:            http://ophcrack.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  qt-devel >= 4.3
BuildRequires:  openssl-devel
BuildRequires:  libstdc++-devel
BuildRequires:  qwt-devel
BuildRequires:  expat
BuildRequires:  desktop-file-utils

%description
Ophcrack is a free Windows password cracker based on rainbow tables. 
It is a very efficient implementation of rainbow tables done by the 
inventors of the method. It comes with a Graphical User Interface and 
runs on multiple platforms. 

Features:

    * Runs on Windows, Linux/Unix, Mac OS X, ...
    * Cracks LM and NTLM hashes.
    * Free tables available for Windows XP and Vista.
    * Brute-force module for simple passwords.
    * Audit mode and CSV export.
    * Real-time graphs to analyze the passwords.
    * LiveCD available to simplify the cracking.
    * Loads hashes from encrypted SAM recovered from a Windows partition,
      Vista included.
    * Free and open source software (GPL).


%prep
%setup -q


%build
%configure

# The LFLAGS argument to make is needed since by default the linking uses
# "-m64 -Wl,-O1" as linker flags instead of %{optflags}.
make LFLAGS="%{optflags}" %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

install -Dp -m0644 src/gui/pixmaps/os.png %{buildroot}%{_datadir}/pixmaps/ophcrack.png
install -dm0755 %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Type=Application
Exec=%{name}
Name=Ophcrack
Comment=Windows password cracker
GenericName=Windows password cracker
Icon=ophcrack
Terminal=false
Categories=System;Security;
StartupNotify=true
EOF

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING LICENSE LICENSE.OpenSSL NEWS README
%{_bindir}/%{name}
%{_datadir}/pixmaps/ophcrack.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 3.3.0-5
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 02 2009 Adam Miller <maxamillion [AT] gmail.com> - 3.3.0-3
- Added comment for LFLAGS justification, fixed rpmlint warnings

* Tue Jun 02 2009 Adam Miller <maxamillion [AT] gmail.com> - 3.3.0-2
- Fixed licensing field, LFLAGS issue, desktop file guidelines, and doc listing

* Fri May 29 2009 Adam Miller <maxamillion [AT] gmail.com> - 3.3.0-1
- New upstream release fixes some packaging issues with the old makefile

* Thu May 28 2009 Adam Miller <maxamillion [AT] gmail.com> - 3.2.1-3
- Fixed the URL macro problem, also removed unneeded requires.

* Thu May 28 2009 Adam Miller <maxamillion [AT] gmail.com> - 3.2.1-2
- Fixed URL/Source0 mishap, fixed desktop file icon listing, fixed files list
- Got rid of unneeded >> from description listing

* Wed May 27 2009 Adam Miller <maxamillion [AT] gmail.com> - 3.2.1-1
- First build of ophcrack for Fedora
